<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Navigacija - dropdown</title>
    <style>
        /* Osnovni stil za dropdown */
        .dropdown {
            position: relative;
            display: inline-block;
        }

        /* Stil za dugme dropdowna */
        .dropbtn {
            background-color: #4CAF50;
            color: white;
            padding: 16px;
            font-size: 16px;
            border: none;
            cursor: pointer;
        }

        /* Stil za sadržaj dropdowna */
        .dropdown-content {
            display: none;
            position: absolute;
            background-color: #f9f9f9;
            min-width: 160px;
            box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
            z-index: 1;
        }

        /* Stil za linkove unutar dropdowna */
        .dropdown-content a {
            color: black;
            padding: 12px 16px;
            text-decoration: none;
            display: block;
        }

        /* Promjena boje pozadine prilikom prelaska mišem */
        .dropdown-content a:hover {
            background-color: #f1f1f1
        }

        /* Prikazuje dropdown sadržaj prilikom prelaska mišem */
        .dropdown:hover .dropdown-content {
            display: block;
        }

        /* Promjena boje dugmeta prilikom prelaska mišem */
        .dropdown:hover .dropbtn {
            background-color: #3e8e41;
        }
    </style>
</head>

<body>
    <div class="dropdown">
        <button class="dropbtn" id="dropdownMenuButton">Izbornik</button>
        <div id="dropdownContent" class="dropdown-content"></div>
    </div>
    <script>
        const dropdownData = {
            "menu": "Izbornik",
            "submenu": [
                { "title": "Opcija 1", "link": "option1.html" },
                { "title": "Opcija 2", "link": "option2.html" },
                { "title": "Opcija 3", "link": "option3.html" }
            ]
        };

        document.getElementById("dropdownMenuButton").textContent = dropdownData.menu;

        const dropdownContent = document.getElementById("dropdownContent");

        dropdownData.submenu.forEach(item => {
            let a = document.createElement("a");
            a.textContent = item.title;
            a.href = item.link;
            dropdownContent.appendChild(a);
        });

    </script>
</body>

</html>